Subject: Re: [PATCH net-next 0/5] tools: ynl: turn the page-pool sample into a real tool

From: Jakub Kicinski <[email-masked]>
Date: Thu, 6 Nov 2025 07:02:47 -0800

On Tue,  4 Nov 2025 15:23:43 -0800 Jakub Kicinski wrote:
> The page-pool YNL sample is quite useful. It's helps calculate
> recycling rate and memory consumption. Since we still haven't
> figured out a way to integrate with iproute2 (not for the lack
> of thinking how to solve it) - create a ynltool command in ynl.
> 
> Add page-pool and qstats support.
> 
> Most commands can use the Python YNL CLI directly but low level
> stats often need aggregation or some math on top to be useful.
> Specifically in this patch set:
>  - page pool stats are aggregated and recycling rate computed
>  - per-queue stats are used to compute traffic balance across queues

FWIW I'd appreciate any feedback here. It's hard to draw the line
on what to implement in a tool like ynltool and what to leave for
the YNL Python directly.